Bug 1008187 - [abrt] telepathy-gabble-0.18.1-1.fc19: telepathy-gabble-xmpp-console:33:<module>:ImportError: cannot import name GtkSource
[abrt] telepathy-gabble-0.18.1-1.fc19: telepathy-gabble-xmpp-console:33:<modu...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: telepathy-gabble (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:9e6c29144475403eb3c2d754a2b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-15 13:26 EDT by 0
Modified: 2015-02-17 12:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:11:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.79 KB, text/plain)
2013-09-15 13:26 EDT, 0
no flags Details
File: environ (3.52 KB, text/plain)
2013-09-15 13:26 EDT, 0
no flags Details

  None (edit)
Description 0 2013-09-15 13:26:15 EDT
Description of problem:
Just executed telepathy-gabble-xmpp-console.

Seems like missing gtksourceview dependecy.

Version-Release number of selected component:
telepathy-gabble-0.18.1-1.fc19

Additional info:
reporter:       libreport-2.1.7
cmdline:        python /usr/bin/telepathy-gabble-xmpp-console
executable:     /usr/bin/telepathy-gabble-xmpp-console
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
telepathy-gabble-xmpp-console:33:<module>:ImportError: cannot import name GtkSource

Traceback (most recent call last):
  File "/usr/bin/telepathy-gabble-xmpp-console", line 33, in <module>
    from gi.repository import GtkSource
ImportError: cannot import name GtkSource

Local variables in innermost frame:
minidom: <module 'xml.dom.minidom' from '/usr/lib64/python2.7/xml/dom/minidom.pyc'>
GLib: <gi.module.DynamicModule 'GLib' from '/usr/lib64/girepository-1.0/GLib-2.0.typelib'>
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/bin/telepathy-gabble-xmpp-console'
Gtk: <gi.module.DynamicModule 'Gtk' from '/usr/lib64/girepository-1.0/Gtk-3.0.typelib'>
__package__: None
sys: <module 'sys' (built-in)>
re: <module 're' from '/usr/lib64/python2.7/re.pyc'>
Gio: <gi.module.DynamicModule 'Gio' from '/usr/lib64/girepository-1.0/Gio-2.0.typelib'>
__name__: '__main__'
__doc__: "\nThe world's worst XMPP console user interface.\n\nPass it the bus name of a Gabble connection; type some words; get minimalistic\nerror reporting.\n\nCopyright \xc2\xa9 2011 Collabora Ltd. <http://www.collabora.co.uk/>\n\nThis library is free software; you can redistribute it and/or\nmodify it under the terms of the GNU Lesser General Public\nLicense as published by the Free Software Foundation; either\nversion 2.1 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful,\nbut WITHOUT ANY WARRANTY; without even the implied warranty of\nMERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU\nLesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public\nLicense along with this library; if not, write to the Free Software\nFoundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA\n"
Comment 1 0 2013-09-15 13:26:20 EDT
Created attachment 797975 [details]
File: backtrace
Comment 2 0 2013-09-15 13:26:23 EDT
Created attachment 797976 [details]
File: environ
Comment 3 Mauricio Gonzalez 2013-11-08 09:09:49 EST
Description of problem:
al ejecutar

Version-Release number of selected component:
telepathy-gabble-0.18.1-1.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        python /bin/telepathy-gabble-xmpp-console
executable:     /bin/telepathy-gabble-xmpp-console
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
telepathy-gabble-xmpp-console:33:<module>:ImportError: cannot import name GtkSource

Traceback (most recent call last):
  File "/bin/telepathy-gabble-xmpp-console", line 33, in <module>
    from gi.repository import GtkSource
ImportError: cannot import name GtkSource

Local variables in innermost frame:
minidom: <module 'xml.dom.minidom' from '/usr/lib64/python2.7/xml/dom/minidom.pyc'>
GLib: <gi.module.DynamicModule 'GLib' from '/usr/lib64/girepository-1.0/GLib-2.0.typelib'>
__builtins__: <module '__builtin__' (built-in)>
__file__: '/bin/telepathy-gabble-xmpp-console'
Gtk: <gi.module.DynamicModule 'Gtk' from '/usr/lib64/girepository-1.0/Gtk-3.0.typelib'>
__package__: None
sys: <module 'sys' (built-in)>
re: <module 're' from '/usr/lib64/python2.7/re.pyc'>
Gio: <gi.module.DynamicModule 'Gio' from '/usr/lib64/girepository-1.0/Gio-2.0.typelib'>
__name__: '__main__'
__doc__: "\nThe world's worst XMPP console user interface.\n\nPass it the bus name of a Gabble connection; type some words; get minimalistic\nerror reporting.\n\nCopyright \xc2\xa9 2011 Collabora Ltd. <http://www.collabora.co.uk/>\n\nThis library is free software; you can redistribute it and/or\nmodify it under the terms of the GNU Lesser General Public\nLicense as published by the Free Software Foundation; either\nversion 2.1 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful,\nbut WITHOUT ANY WARRANTY; without even the implied warranty of\nMERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU\nLesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public\nLicense along with this library; if not, write to the Free Software\nFoundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA\n"
Comment 4 Fedora End Of Life 2015-01-09 14:51:04 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:11:50 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.